summary refs log tree commit diff
path: root/userbar.sh
diff options
context:
space:
mode:
Diffstat (limited to 'userbar.sh')
-rwxr-xr-xuserbar.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/userbar.sh b/userbar.sh
new file mode 100755
index 0000000..606d5de
--- /dev/null
+++ b/userbar.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+for file in /home/*/public_html/index.html; do
+	cmp -s "$file" /etc/skel/public_html/index.html
+	if [ $? -eq 1 ]; then
+		user=${file##/home/}
+		user=${user%%/*}
+		printf '<li><a href="/~%s">~%s</a></li>\n' $user $user
+	fi
+done